<!------------------------------------------------------ 
Acá va a ir el listado de monstruos usando los tags <ul> y <li>.
Debe tener un título y mostrar el nombre (en negrita) y la descripción.
------------------------------------------------------>

<%= stylesheet_link_tag "monstruos" %>

<div id="contenedor">

    <!-- Título de la página -->
    <h1 id="titulo">Lista de monstruos</h1>

    <!-- Elemento: lista -->
    <ul id="lista">
        <!-- Iterar para cada monstruo (ordenado por nombre)-->
        <% Monstruo.all.order(nombre: :asc).each do |monstruo| %>

        <!-- Contar cantidad de tweets -->
        <% cant = monstruo.tweets.count %>

        <li>
            <!-- Mostrar el nombre en negrita, con link -->
            <b><%= link_to(monstruo.nombre, "/monstruos/show?id="+monstruo.id.to_s) %></b>

            <!-- Mostrar que es destacado sólo si tiene más de 1 tweet -->
            <% if cant > 1 %>
                <span class="destacado"><b>Twittero Destacado!</b></span>
            <% end %>

            <div>
                <%=monstruo.descripcion%>
                
                <%= button_to 'Eliminar monstruo', monstruo, 
                :confirm => 'Estas seguro?', :method => :delete, :class => "btn btn-danger btn-sm" %>

                <br/>
            </div>

        </li>
    
        <!-- Indicar fin de bloque de iteración-->
        <% end %>
    </ul>
</div>


